Package waffle.servlet.spi

## Class SecurityFilterProviderCollectionTests

- java.lang.Object
- - waffle.servlet.spi.SecurityFilterProviderCollectionTests

    public class SecurityFilterProviderCollectionTests
    extends Object

The Class SecurityFilterProviderCollectionTests.

Author:
  dblock[at]dblock[dot]org

### Constructor Summary

Constructors
`SecurityFilterProviderCollectionTests​()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testDefaultCollection​()` Test default collection.
`void` `testGetByClassNameInvalid​()` Test get by class name invalid.
`void` `testIsSecurityPackageSupported​()` Test is security package supported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityFilterProviderCollectionTests

    public SecurityFilterProviderCollectionTests​()

### Method Detail

#### testDefaultCollection

    @Test
    public void testDefaultCollection​()
                               throws ClassNotFoundException

Test default collection.

Throws:
  `ClassNotFoundException` - the class not found exception

#### testGetByClassNameInvalid

    @Test
    public void testGetByClassNameInvalid​()
                                   throws ClassNotFoundException

Test get by class name invalid.

Throws:
  `ClassNotFoundException` - the class not found exception

#### testIsSecurityPackageSupported

    @Test
    public void testIsSecurityPackageSupported​()

Test is security package supported.